org.jboss.resteasy.api.validation

## Class ResteasyViolationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.validation.ValidationException
        - - org.jboss.resteasy.api.validation.ResteasyViolationException

- All Implemented Interfaces:
    Serializable

      public class ResteasyViolationException
      extends javax.validation.ValidationException

  Version:
    $Revision: 1.1 $ Copyright Mar 6, 2012
  Author:
    Ron Sigal
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResteasyViolationException(String stringRep)`
    `ResteasyViolationException(ViolationsContainer<?> container)`
    `ResteasyViolationException(ViolationsContainer<?> container, List<MediaType> accept)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `convertFromString(String stringRep)`
    `protected void` | `convertToStrings(ViolationsContainer container)`
    `List<MediaType>` | `getAccept()`
    `List<ResteasyConstraintViolation>` | `getClassViolations()`
    `Exception` | `getException()`
    `protected int` | `getField(int start, String line)`
    `List<ResteasyConstraintViolation>` | `getFieldViolations()`
    `List<ResteasyConstraintViolation>` | `getParameterViolations()`
    `List<ResteasyConstraintViolation>` | `getPropertyViolations()`
    `List<ResteasyConstraintViolation>` | `getReturnValueViolations()`
    `List<List<ResteasyConstraintViolation>>` | `getViolationLists()`
    `List<ResteasyConstraintViolation>` | `getViolations()`
    `void` | `setAccept(List<MediaType> accept)`
    `void` | `setException(Exception exception)`
    `int` | `size()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyViolationException

          public ResteasyViolationException(ViolationsContainer<?> container)

    - #### ResteasyViolationException

          public ResteasyViolationException(ViolationsContainer<?> container,
                                    List<MediaType> accept)

    - #### ResteasyViolationException

          public ResteasyViolationException(String stringRep)

  - ### Method Detail

    - #### getAccept

          public List<MediaType> getAccept()

    - #### setAccept

          public void setAccept(List<MediaType> accept)

    - #### getException

          public Exception getException()

    - #### setException

          public void setException(Exception exception)

    - #### getViolations

          public List<ResteasyConstraintViolation> getViolations()

    - #### getFieldViolations

          public List<ResteasyConstraintViolation> getFieldViolations()

    - #### getPropertyViolations

          public List<ResteasyConstraintViolation> getPropertyViolations()

    - #### getClassViolations

          public List<ResteasyConstraintViolation> getClassViolations()

    - #### getParameterViolations

          public List<ResteasyConstraintViolation> getParameterViolations()

    - #### getReturnValueViolations

          public List<ResteasyConstraintViolation> getReturnValueViolations()

    - #### size

          public int size()

    - #### getViolationLists

          public List<List<ResteasyConstraintViolation>> getViolationLists()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`

    - #### convertToStrings

          protected void convertToStrings(ViolationsContainer container)

    - #### convertFromString

          protected void convertFromString(String stringRep)

    - #### getField

          protected int getField(int start,
                     String line)

Copyright © 2014. All Rights Reserved.